Alembic Version 1.1

Classes | Namespaces | Typedefs | Functions
OFaceSet.h File Reference
`#include <Alembic/Util/Export.h>`
`#include <Alembic/AbcGeom/Foundation.h>`
`#include <Alembic/AbcGeom/SchemaInfoDeclarations.h>`
`#include <Alembic/AbcGeom/OGeomParam.h>`
`#include <Alembic/AbcGeom/FaceSetExclusivity.h>`
`#include <Alembic/AbcGeom/OGeomBase.h>`
Include dependency graph for OFaceSet.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema
class | Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample

## Namespaces
namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcGeom
namespace | Alembic::AbcGeom::ALEMBIC_VERSION_NS

## Typedefs
typedef Abc::OSchemaObject< OFaceSetSchema > | Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSet
typedef Util::shared_ptr< OFaceSet > | Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetPtr

## Functions
Abc::Box3d | Alembic::AbcGeom::ALEMBIC_VERSION_NS::computeBoundsFromPositionsByFaces (const Int32ArraySample &faces, const Int32ArraySample &meshFaceCounts, const Int32ArraySample &vertexIndices, const P3fArraySample &meshP)